summaryrefslogtreecommitdiff
path: root/qa/219
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/219
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/219')
-rwxr-xr-xqa/21953
1 files changed, 53 insertions, 0 deletions
diff --git a/qa/219 b/qa/219
new file mode 100755
index 0000000..194b61f
--- /dev/null
+++ b/qa/219
@@ -0,0 +1,53 @@
+#! /bin/sh
+# PCP QA Test No. 219
+# check pmdbg -l and pmdbg.h agree
+#
+# Copyright (c) 2009 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+if [ -f $PCP_DIR/usr/include/pcp/pmdbg.h ]
+then
+ :
+else
+ echo "$PCP_DIR/usr/include/pcp/pmdbg.h not installed?" >$seq.notrun
+ echo "$seq: [not run] `cat $seq.notrun`"
+ exit 0
+fi
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+pmdbg -l \
+| tee $seq.full \
+| sed -n -e '/^DBG_/s/[ ].*//p' \
+| LC_COLLATE=POSIX sort >$tmp.dbg
+
+echo "------" >>$seq.full
+cat $PCP_DIR/usr/include/pcp/pmdbg.h >>$seq.full
+sed -n <$PCP_DIR/usr/include/pcp/pmdbg.h \
+ -e '/DBG_/{
+s/.*DBG_/DBG_/
+s/[ ].*//
+p
+}' \
+| LC_COLLATE=POSIX sort >$tmp.dbg.h
+
+echo "Missing from pmdbg -l ..."
+comm -23 $tmp.dbg.h $tmp.dbg
+
+echo
+echo "Missing from <pcp/pmdbg.h> ..."
+comm -13 $tmp.dbg.h $tmp.dbg
+
+# success, all done
+exit